commit:     688df1171dc074b899458f142ebfcc426fc226a7
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 12 22:57:12 2025 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Sun Jan 12 22:57:12 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=688df117

www-servers/nginx-unit: add 1.34.1

Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 www-servers/nginx-unit/Manifest                 |   1 +
 www-servers/nginx-unit/nginx-unit-1.34.1.ebuild | 101 ++++++++++++++++++++++++
 2 files changed, 102 insertions(+)

diff --git a/www-servers/nginx-unit/Manifest b/www-servers/nginx-unit/Manifest
index b4945ca8d919..af4f89b3ad3f 100644
--- a/www-servers/nginx-unit/Manifest
+++ b/www-servers/nginx-unit/Manifest
@@ -1,2 +1,3 @@
 DIST nginx-unit-1.33.0.tar.gz 1025455 BLAKE2B 
d17c02def260c325284c807b51c44b23bfe72b2be52bb98909b33e0f904cf833b1b254a5679ac0482fa0b3f4e4e1964017819bc05b3f7ea7ce18029d6ea9d68d
 SHA512 
c0b2a7e8ede3fc11b52c6c44d7460c52e35dfed9b9ae6cfb5bd90c24859f601bc462626aa68a24191689bb5406250d391428c06641d84e3cf1d8615e7485fb93
 DIST nginx-unit-1.34.0.tar.gz 1054742 BLAKE2B 
4d31f6851d46f2a775c15a70f6eeb76763327b25a8ecc064c5068fb790911bebe1ea4a4d8e5bb3de05ddbe432a8f63ca9b8bae53d1fe09baadc0de0618310ee1
 SHA512 
5cf2e977464675a0d840342e697b12595f4595ffcc99b812b479b163e325fe8d383fd6723a3e139d10a2449f25793e624d44ebe6e57aade0f49d249542efae56
+DIST nginx-unit-1.34.1.tar.gz 1054774 BLAKE2B 
ee595554ec0f43f9c2e9b36c2f8bec32530238917b56610d8b99e94befff9a6f2018b295ff11edd1f08ec60c7980dd099a78cf49465f2dfb83a8677db0a08540
 SHA512 
51bcab68d9a015f4e2710312af28afd7f7179a4b9c57dfc26f5bd4a94ad93c1cd4246a92e131a4ff460d51f3003acae636b5a62c2f257671b26eea3080858352

diff --git a/www-servers/nginx-unit/nginx-unit-1.34.1.ebuild 
b/www-servers/nginx-unit/nginx-unit-1.34.1.ebuild
new file mode 100644
index 000000000000..8270be84e262
--- /dev/null
+++ b/www-servers/nginx-unit/nginx-unit-1.34.1.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..13} )
+
+inherit flag-o-matic python-single-r1 systemd toolchain-funcs
+
+MY_P="unit-${PV}"
+MY_USE="perl python ruby"
+MY_USE_PHP="php8-3"
+
+DESCRIPTION="Dynamic web and application server"
+HOMEPAGE="https://unit.nginx.org";
+SRC_URI="https://unit.nginx.org/download/${MY_P}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="${MY_USE} ${MY_USE_PHP} perl ssl"
+
+REQUIRED_USE="|| ( ${IUSE} )
+       python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="perl? ( dev-lang/perl:= )
+       php8-3? ( dev-lang/php:8.3[embed] )
+       python? ( ${PYTHON_DEPS} )
+       ruby? (
+               dev-lang/ruby:=
+               dev-ruby/rubygems:=
+       )
+       ssl? ( dev-libs/openssl:0= )
+       virtual/libcrypt:0="
+RDEPEND="${DEPEND}
+       acct-user/nginx-unit
+       acct-group/nginx-unit"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       eapply_user
+       sed -i '/^CFLAGS/d' auto/make || die
+       default
+}
+
+src_configure() {
+       local opt=(
+               --control=unix:/run/${PN}.sock
+               --log=/var/log/${PN}
+               --modules=/usr/$(get_libdir)/${PN}
+               --pid=/run/${PN}.pid
+               --prefix=/usr
+               --state=/var/lib/${PN}
+               --user=${PN}
+               --group=${PN}
+       )
+
+       use ssl && opt+=( --openssl )
+       export AR="$(tc-getAR)"
+       export CC="$(tc-getCC)"
+       ./configure ${opt[@]} --ld-opt="${LDFLAGS}" || die "Core configuration 
failed"
+
+       # Modules require position-independent code
+       append-cflags $(test-flags-CC -fPIC)
+
+       for flag in ${MY_USE} ; do
+               if use ${flag} ; then
+                       ./configure ${flag} || die "Module configuration 
failed: ${flag}"
+               fi
+       done
+
+       for flag in ${MY_USE_PHP} ; do
+               if use ${flag} ; then
+                       local php_slot="/usr/$(get_libdir)/${flag/-/.}"
+                       ./configure php \
+                               --module=${flag} \
+                               --config=${php_slot}/bin/php-config \
+                               --lib-path=${php_slot}/$(get_libdir) || die 
"Module configuration failed: ${flag}"
+               fi
+       done
+}
+
+src_install() {
+       default
+
+       if use perl ; then
+               emake DESTDIR="${D}/" perl-install
+       fi
+
+       rm -rf "${ED}"/usr/var
+
+       diropts -m 0770
+       keepdir /var/lib/${PN}
+       newinitd "${FILESDIR}/${PN}.initd-r2" ${PN}
+       newconfd "${FILESDIR}"/nginx-unit.confd nginx-unit
+       systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
+}

Reply via email to